Subject: Re: bug#22417: Self parsing bug

From: [email-masked]
Date: Wed, 20 Jan 2016 22:44:14 +0100

2016-01-20 22:29 skrev Mosè Giordano:
> Hi Andrea,
> 
> 2016-01-20 22:09 GMT+01:00  <[email-masked]>:
>> Hi,
>> 
>> I came across the following error when loading a tex file.
>> It somehow seems to be connected to the latex package subfigure.
>> 
>> * Bug report in org-mode markup
>> 
>> Ubuntu 15.10
>> Emacs version: GNU Emacs 25.1.50.2 (x86_64-pc-linux-gnu, GTK+ Version
>> 3.16.7) of 2016-01-20
>> Auctex version: auctex.git commit #4f618ec
>> 
>> I fetch =auctex= with =el-get= but later only start it with =-l 
>> auctex.el=,
>> either way produces the same error.
>> 
>> I start emacs
>> #+begin_src sh
>> emacs -q -l auctex.el
>> #+end_src
>> 
>> I then load my TeX setting
>> #+begin_src emacs-lisp
>> (setq debug-on-error t)
>> (setq TeX-parse-self t)
>> #+end_src
>> 
>> I then proceed to load my latex file
>> 
>> #+name: tex-file
>> #+begin_src sh :results output
>> cat equations.tex
>> #+end_src
>> 
>> #+RESULTS: tex-file
>> #+begin_example
>> \documentclass[12pt]{article}
>> % \usepackage{graphicx}
>> % \makeatletter
>> % \g@addto@macro\@floatboxreset\centering
>> % \makeatother
>> \usepackage{subfigure}
>> 
>> \pagestyle{empty}
>> \begin{document}
>> 
>> \begin{displaymath}
>>   \textbf{G}: \textbf{P} \mapsto \textbf{Y}
>> \end{displaymath}
>> 
>> \end{document}
>> %%% Local Variables:
>> %%% mode: latex
>> %%% TeX-master: t
>> %%% End:
>> #+end_example
>> 
>> This produces an error as follows:
>> Debugger entered--Lisp error: (wrong-number-of-arguments setq 3)
>> signal(wrong-number-of-arguments (setq 3))
>> 
>> (for some reason I can't paste the whole traceback in the mail client)
>> 
>> I noticed that when not using the =\usepackage{subfigure}= package, 
>> the
>> error does not appear.
>> 
>> I think this is a bug but can't figure out where exactly it's coming 
>> from or
>> how it appears.
> 
> Do you get the error every time you open that file?  I can't reproduce
> this bug with Emacs 24.5, same version of AUCTeX.  I can open the file
> and compile it without any problem.  Have you tried to check whether
> you have something in your init file triggering this bug?
> 
> Bye,
> Mosè

The only thing I load is auctex.el and the two lines
(setq debug-on-error t)
(setq TeX-parse-self t)
so my init should be only that.

The original error prevents the file to open but on subsequent tries the 
files opens without error.
I didn't triet with an older version of emacs as I don't have it 
currently.
I think it's a bit odd that it seems to be triggered by a latex package.